- [`pdpp`](#pdpp)
  - [Example](#example)
  - [Installation Prerequisites](#installation-prerequisites)
  - [Installation](#installation)
  - [Usage from the Command Line](#usage-from-the-command-line)


# `pdpp`

`pdpp` is a package for facilitating the creation and maintainance of a data workflow that adheres to principles espoused by Patrick Ball in his manifesto on ['Principled Data Processing'](https://www.youtube.com/watch?v=ZSunU9GQdcI). It takes the form of a command-line interface which can be used to create 'tasks', populate task directories with the requisite subdirectories, link together tasks' inputs and outputs, and executing the pipeline using the `doit` [suite of automation tools](https://pydoit.org/). 

## Example




## Installation Prerequisites

Aside from an up-to-date installation of `python` and `pip` (installation instructions for which can be found [here](https://wiki.python.org/moin/BeginnersGuide/Download)), the `pdpp` package depends on `graphviz`, which must be installed before attempting to install `pykrusch`. Installation instructions for `graphviz` can be found at the [GraphViz installation instructions page.](https://pygraphviz.github.io/documentation/stable/install.html#windows-install)


## Installation

To install `pykrusch`, use `pip`:

```bash
pip install pdpp
```

## Usage from the Command Line
